archi:
    name : chal-stranger
    version : 1.0
switch:
    name : switch
    interfaces :
        1 :
            link : br0
            intname : eth0
            type : external
            vlan : 10
        2 :
            link : tap2
            vlan : 20
        3 :
            link : tap3
            vlan : 30
        4 :
            link : tap4
            vlan : 40
        5 :
            link : tap5
            vlan : 50
        6 :
            link : tap6
            vlan : 30
        7 :
            link : tap7
            vlan : 40  
        8 : 
            link : tap8
            vlan : 50

vlans :
    10 :
        intname: vlan10
        addresses : [ {{ADDRESS}}/24 ]
        mac: "{{MAC}}"
        gw : 172.30.100.254
    20 :
        intname: vlan20
        addresses : [ 192.168.1.254/24 ]
    50 :
        intname: vlan50
        addresses : [ 192.168.4.254/24 ]
routes :
        forward: yes
        nat:
          source: [ 192.168.1.0/24 ]
          out: vlan10
        dnat:
          - in: vlan10
            protocole : tcp
            dports: [ 22 ]
            to : 192.168.4.26
#          - in: vlan10
#            source: [ 172.30.100.1 ]
#            protocole : tcp
#            dports: [ 5901 ]
#            to : 127.0.0.1
        static:
            - to: 192.168.2.0/24
              via: 192.168.1.1
machines :
    machine-1:
         kvm :
            image: hpe-stranger
            interfaces:
                - link : tap2
                  mac : "56:34:12:00:54:52"
                - link : tap3
                  mac : "56:34:12:00:54:53"
                - link : tap4
                  mac : "56:34:12:00:54:54"
                - link : tap5
                  mac : "56:34:12:00:54:55"
#            vnc:
#                listen : 127.0.0.1
#                port : 1
#                password : "{{PASSWORD}}"
    malwares:
          lxc :
             image: openssh-stranger-inside
             interfaces:
                  link : tap6
                  intname : eth0
             quotas:
                  cpus : 1
                  disk: 300MB
                  memory: 800MB
                  memory-swap: 1GB
    netns-pot1:
          netns:
             interfaces:
                  link : tap7
                  addresses : [ 192.168.3.25/24 ]
                  gw : 192.168.3.1
    admin:
          lxc:
             image: openssh-stranger-inside-admin
             interfaces:
                  link : tap8
                  intname : eth0
             quotas:
                  cpus : 1
                  disk: 300MB
                  memory: 800MB
                  memory-swap: 1GB

